Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453407 - Compiz crashes randomly on EINTR system calls.
Summary: Compiz crashes randomly on EINTR system calls.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: compiz
Version: 9
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-30 13:24 UTC by Vasile Gaburici
Modified: 2018-04-11 11:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 18:09:43 UTC


Attachments (Terms of Use)
xorg.conf (deleted)
2008-07-01 14:58 UTC, Vasile Gaburici
no flags Details
Xorg.0.log (deleted)
2008-07-01 15:01 UTC, Vasile Gaburici
no flags Details
Xorg.1.log (deleted)
2008-07-01 15:01 UTC, Vasile Gaburici
no flags Details
Xorg.2.log (deleted)
2008-07-01 15:02 UTC, Vasile Gaburici
no flags Details

Description Vasile Gaburici 2008-06-30 13:24:37 UTC
Description of problem:

Compiz crashes randomly on EINTR system calls. Or so /var/log/messages says.

/var/log/messages:Jun 30 16:07:26 localhost kernel: compiz[2515]: segfault at
8ab564 ip 0490ac69 sp bfe51960 error 4 in libglib-2.0.so.0.1600.3[48d1000+e0000]
/var/log/messages-20080630:Jun 28 19:38:30 localhost kernel: compiz[2595]:
segfault at 871aa0 ip 00871aa0 sp bfd6dfcc error 4 in libdrm.so.2.3.0[8c4000+a000]
/var/log/messages-20080630:Jun 28 20:10:09 localhost kernel: compiz[22717]:
segfault at 871aa0 ip 00871aa0 sp bf80d27c error 4 in libdrm.so.2.3.0[8c4000+a000]
/var/log/messages-20080630:Jun 28 20:31:43 localhost kernel: compiz[23453]:
segfault at 8ab564 ip 0490ac69 sp bfb896d0 error 4 in
libglib-2.0.so.0.1600.3[48d1000+e0000]
/var/log/messages-20080630:Jun 28 20:40:14 localhost kernel: compiz[24816]:
segfault at 871aa0 ip 00871aa0 sp bffa9a0c error 4 in libdrm.so.2.3.0[8c4000+a000]
/var/log/messages-20080630:Jun 28 21:07:38 localhost kernel: compiz[25436]:
segfault at 871aa0 ip 00871aa0 sp bfdbc84c error 4 in libdrm.so.2.3.0[8c4000+a000]
/var/log/messages-20080630:Jun 28 21:22:34 localhost kernel: compiz[26226]:
segfault at 871aa0 ip 00871aa0 sp bfdc101c error 4 in libdrm.so.2.3.0[8c4000+a000]
/var/log/messages-20080630:Jun 28 21:37:41 localhost kernel: compiz[26908]:
segfault at 871aa0 ip 00871aa0 sp bffd5a3c error 4 in libdrm.so.2.3.0[8c4000+a000]

Version-Release number of selected component (if applicable):

compiz-0.7.6-2.fc9.i386

How reproducible:

Most of the crashes occured when package-kit updates run, but it isn't 100%
reproducible.

Comment 1 Matěj Cepl 2008-07-01 14:30:45 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Vasile Gaburici 2008-07-01 14:58:12 UTC
Created attachment 310680 [details]
xorg.conf

Comment 3 Vasile Gaburici 2008-07-01 15:01:24 UTC
Created attachment 310681 [details]
Xorg.0.log

Comment 4 Vasile Gaburici 2008-07-01 15:01:58 UTC
Created attachment 310682 [details]
Xorg.1.log

Comment 5 Vasile Gaburici 2008-07-01 15:02:26 UTC
Created attachment 310683 [details]
Xorg.2.log

Comment 6 Vasile Gaburici 2008-07-01 18:23:21 UTC
It crashed again today during `yum update`. I paid close attention to see when
it crashes: it happened while selinux-policy-targeted was being updated (those
***s take a while).


Comment 7 Matěj Cepl 2008-07-02 16:53:46 UTC
Do you have sealert running? What type of SELinux enforcement you have? could we
get (as private attachment) your /var/log/audit/audit.log as well, please?

Comment 8 Vasile Gaburici 2008-07-02 19:37:12 UTC
SELinux was running in permissive mode. I'm attaching the log. Beware that some
denials are due to some programs I'm using that are not shipped with Fedora. In
particular, you shouldn't care about the following two types of denials:

"SELinux is preventing ip (ifconfig_t) "read write" to socket (initrc_t)"
"SELinux is preventing the dhclient (dhcpc_t) from binding to port 7912."


Comment 9 Vasile Gaburici 2008-07-02 19:44:32 UTC
Created attachment 310847 [details]
audit.log

BTW, I couldn't find the option to make the attachment private.

Comment 10 Matěj Cepl 2008-07-02 21:18:36 UTC
OK, it has apparently nothing to do with SELinux -- you are affected by bug
448060 (for which the fix is in the pipeline), but I don't see anything else.

Comment 11 Daniel Walsh 2008-07-03 15:49:24 UTC
Woohoo not my bug.

Comment 12 Vasile Gaburici 2008-07-03 19:19:48 UTC
It crashed again today while I was doing an update. I mindlessly clicked on the
shiny default button, and here is what I've got:

Jul  3 21:47:27 localhost kernel: compiz[2651]: segfault at 5d97564 ip 03ea5c69
sp bfacbe00 error 4 in libglib-2.0.so.0.1600.3[3e6c000+e0000]

Glib was amongst the packages that got updated. So, it looks like compiz does
not like libraries changing while it's running.

Comment 13 Vasile Gaburici 2008-07-17 13:00:04 UTC
Just a heads-up on this. I didn't experience anymore crashes on 'yum update'
recently, but it seems that recent updates did not touch libraries on which
compiz depends either.


Comment 14 Vasile Gaburici 2008-07-18 16:11:52 UTC
Another crash today, this time not related to any updating. I was starting
fontmatrix when compiz crashed with:

Jul 18 17:37:45 localhost kernel: compiz[2580]: segfault at 0 ip 008faf24 sp bfc
946d0 error 4 in libstartup-notification-1.so.0.0.0[8f7000+8000]


Comment 15 Vasile Gaburici 2008-08-14 14:23:00 UTC
I found a reliable way to crash it: "rpm -e dasher".

Comment 16 Matěj Cepl 2008-09-09 22:00:30 UTC
(In reply to comment #15)
> I found a reliable way to crash it: "rpm -e dasher".

Do you mean that compiz on your computer doesn't work withou dasher?

Comment 17 Vasile Gaburici 2008-09-10 13:15:44 UTC
(In reply to comment #16)
> (In reply to comment #15)
> > I found a reliable way to crash it: "rpm -e dasher".
> 
> Do you mean that compiz on your computer doesn't work withou dasher?

No, it works perfectly fine without it. It just crashed when I *removed* dasher.

From all the semi-random crashes it seems that compiz is somehow too sensitive to stuff getting installed or removed while it is running. I've not seen this happen with other daemons, so I don't know what could the underlying reason...

Comment 18 Bug Zapper 2009-06-10 01:51:19 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 19 Bug Zapper 2009-07-14 18:09:43 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.